/**
 * UDPソケットのテストプログラムです。
 */
//#define SKETCH_STACK_SIZE
#include "boot/sketch.h"

#include "NyLPC_net.h"
#include "NyLPC_utils.h"
#include "../netif/mimicip/NyLPC_cMiMicIpNetIf.h"
#include <stdio.h>
#include <string.h>

const struct NyLPC_TiNetInterface_Interface* netif;

void setup(void)
{
	//uipサービス初期化。いろいろ利用可能に。
	netif=NyLPC_cMiMicIpNetIf_getNetInterface();
	NyLPC_cNet_initialize(netif);
}

struct A{
	struct NyLPC_TMDnsServiceRecord _srv_record;
    struct NyLPC_TDnsRecord _dns_record;
    NyLPC_TcNetConfig_t test;
};


void loop(void)
{
	struct A a;
	//デフォルト設定の呼び出し
	NyLPC_cNetConfig_initialize(&a.test,NyLPC_TBool_TRUE);
	a._srv_record.protocol="ABC";
	a._srv_record.port=55;
	a._dns_record.name="1234567890123456789";
	for(;;){
	}
}




